Subject: git-svn clone on a central server

From: Bruno Harbulot <[email-masked]>
Date: Sat, 15 Mar 2008 19:38:40 +0000

Hello,

I'm trying to follow example 3 of the git-svn manpage, since I'd like to 
keep a "central" clone of a subversion repository (and rebase it 
regularly) on a server and work on local git repositories based on that 
server's git repository.
However, I can't get this example to work:

# Do the initial import on a server
    ssh server "cd /pub && git-svn clone http://svn.foo.org/project
# Clone locally - make sure the refs/remotes/ space matches the server
    mkdir project
    cd project
    git-init
    git remote add origin server:/pub/project
    git config --add remote.origin.fetch=+refs/remotes/*:refs/remotes/*
    git fetch
# Initialize git-svn locally
    git-svn init http://svn.foo.org/project
# Pull the latest changes from Subversion
    git-svn rebase

('--add' doesn't work in git config, but I guess that's not required).

I get this error:

$ git-svn rebase
fatal: ambiguous argument 'HEAD': unknown revision or path not in the 
working tree.
Use '--' to separate paths from revisions
log --no-color HEAD: command returned error: 128

I've then tried:

$ git checkout origin/master
warning: You appear to be on a branch yet to be born.
[...]
$ git branch master
$ git checkout master
$ git-svn rebase

However, this produces this error:
'Unable to determine upstream SVN information from working tree history'

Any idea how to solve this?

Best wishes,

Bruno.